List banks
curl --request GET \
--url https://api.usepatchwork.co/v1/identify/banks \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.usepatchwork.co/v1/identify/banks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.usepatchwork.co/v1/identify/banks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"status": "success",
"data": [
{
"name": "Guaranty Trust Bank",
"code": "058",
"type": "bank",
"scheme": "nuban",
"country": "NG",
"currency": "NGN",
"rail": "nuban"
}
]
}{
"status": "error",
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"status": "error",
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"status": "error",
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}Workbench
List banks
Banks and mobile money providers, with the code to send to POST /v1/identify. Pass currency, country, or both; country alone uses that country’s currency, and USD spans several countries. Not billed.
GET
/
v1
/
identify
/
banks
List banks
curl --request GET \
--url https://api.usepatchwork.co/v1/identify/banks \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.usepatchwork.co/v1/identify/banks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.usepatchwork.co/v1/identify/banks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"status": "success",
"data": [
{
"name": "Guaranty Trust Bank",
"code": "058",
"type": "bank",
"scheme": "nuban",
"country": "NG",
"currency": "NGN",
"rail": "nuban"
}
]
}{
"status": "error",
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"status": "error",
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"status": "error",
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}Authorizations
Identify accepts a workspace API key (sk_…). Loom accepts either a short-lived session token (direct) or a workspace API key (relay).
Query Parameters
Available options:
NGN, GHS, ZAR, KES, XOF, EGP, RWF, USD Available options:
NG, GH, ZA, KE, CI, EG, RW